> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transfer

> Get a transfer document



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/cashout/transfer/{id}
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cashout/transfer/{id}:
    get:
      tags:
        - transfer
      summary: Get a transfer document
      description: Gets a transfer document
      operationId: TrioFoundationWeb.Banking.Transfer.DocumentController.show
      parameters:
        - description: Document UUID
          in: path
          name: id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transfer_document_response'
          description: Document
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    Transfer_document_response:
      description: Transfer document response
      example:
        data:
          amount:
            amount: 100
            currency: BRL
          bank_account_id: 018f9cb0-8d11-72dd-bb14-f82554e80999
          description: description
          external_id: external_id
          from_virtual_account_id: 018f9cb0-8d11-72dd-bb14-f82554e80999
          id: 018f9cb0-8d11-f5da-31a1-0c243407d6d3
          origin_id: 018f9cb0-8d11-8143-d18c-5c6cd450b608
          origin_type: none
          reconciliation_id: 018f9cb0-8d11-8143-d18c-5c6cd450b608
          stages:
            - error_code: null
              error_message: null
              id: 018f9cb0-8d37-031e-8b99-bac2919a5033
              timestamp: '2024-05-21T19:46:07.285344Z'
              type: created
          status: created
          timestamp: '2024-05-21T19:46:07.249436Z'
          to_virtual_account_id: 018f9cb0-8d11-53ba-0550-54933e15377b
          transaction_date: '2024-05-21T19:46:07.249436Z'
      properties:
        data:
          $ref: '#/components/schemas/Transfer_document_schema'
      title: Transfer document response
      type: object
    Transfer_document_schema:
      description: Transfer document schema
      example:
        amount:
          amount: 100
          currency: BRL
        bank_account_id: 018f9cb0-8d11-72dd-bb14-f82554e80999
        description: description
        external_id: external_id
        from_virtual_account_id: 018f9cb0-8d11-72dd-bb14-f82554e80999
        id: 018f9cb0-8d11-f5da-31a1-0c243407d6d3
        origin_id: 018f9cb0-8d11-8143-d18c-5c6cd450b608
        origin_type: none
        reconciliation_id: 018f9cb0-8d11-8143-d18c-5c6cd450b608
        stages:
          - error_code: null
            error_message: null
            id: 018f9cb0-8d37-031e-8b99-bac2919a5033
            timestamp: '2024-05-21T19:46:07.285344Z'
            type: created
        status: created
        timestamp: '2024-05-21T19:46:07.249436Z'
        to_virtual_account_id: 018f9cb0-8d11-53ba-0550-54933e15377b
        transaction_date: '2024-05-21T19:46:07.249436Z'
      properties:
        amount:
          description: Amount
          type: object
        bank_account_id:
          description: Bank account ID
          format: uuid
          type: string
        description:
          description: Description
          type: string
        external_id:
          description: External ID
          type: string
        from_virtual_account_id:
          description: From virtual account ID
          type: string
        id:
          description: Unique identifier
          type: string
        origin_id:
          description: Origin id
          type: string
        origin_type:
          description: Origin type
          type: string
        reconciliation_id:
          description: Reconciliation UUID
          type: string
        status:
          description: Transfer document status
          type: string
        timestamp:
          description: generation timestamp
          format: date-time
          type: string
        to_virtual_account_id:
          description: To virtual account ID
          type: string
        transaction_date:
          description: Transfer document transaction date
          format: date-time
          type: string
      title: Transfer document schema
      type: object

````